# PList< T >::const_iterator Class Reference

`#include <lists.h>`

Inheritance diagram for PList< T >::const_iterator:

List of all members.

## Public Member Functions

| const_iterator (PListElement *e=NULL)
const_iterator | operator++ ()
const_iterator | operator-- ()
const_iterator | operator++ (int)
const_iterator | operator-- (int)
const T * | operator-> () const
const T & | operator * () const

### template<class T>
class PList< T >::const_iterator

## Constructor & Destructor Documentation

template<class T>

PList< T >::const_iterator::const_iterator | ( | PListElement * | e = `NULL` | ) | `[inline]`

## Member Function Documentation

template<class T>

const T& PList< T >::const_iterator::operator * | ( |  | ) | const`[inline]`

template<class T>

const_iterator PList< T >::const_iterator::operator++ | ( | int |  | ) | `[inline]`

template<class T>

const_iterator PList< T >::const_iterator::operator++ | ( |  | ) | `[inline]`

template<class T>

const_iterator PList< T >::const_iterator::operator-- | ( | int |  | ) | `[inline]`

template<class T>

const_iterator PList< T >::const_iterator::operator-- | ( |  | ) | `[inline]`

template<class T>

const T* PList< T >::const_iterator::operator-> | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- lists.h